# Returns a list of Groups

Returns a list of all accessible Groups in the acting User's Program.

Endpoint: GET /scim/v2/Groups
Version: 2026-04-10
Security: oauth2_as_a_server, oauth2_as_a_user

## Query parameters:

  - `startIndex` (integer)
    Specifies the 1-based index of the page of results to be returned.

  - `count` (integer)
    Specifies the maximum number of results to be returned.

## Response 200 fields (application/scim+json):

  - `schemas` (array)
    Example: ["urn:ietf:params:scim:api:messages:2.0:ListResponse"]

  - `Resources` (array)

  - `Resources.id` (integer)
    Group unique id
    Example: 115

  - `Resources.displayName` (string)
    A human-readable name for the Group. REQUIRED.
    Example: "Group of users"

  - `Resources.externalId` (string)
    ID from provisioning system. This is the resource ID on the client system, not Firstup's ID.
    Example: "1234qweasd567"

  - `Resources.description` (string)
    Description for the Group.
    Example: "Group of iOS users from partner domain"

  - `Resources.members` (array)
    A list of members of the Group.
    Example: [{"value":"3","_$ref":"https://partner.socialchorus.com/scim/v2/Users/3"}]

  - `Resources.members.value` (string)
    unique member identifier
    Example: "1"

  - `Resources.members.$ref` (string)
    reference to a member
    Example: "https://partner.socialchorus.com/scim/v2/Users/1"

  - `Resources.meta` (object)

  - `Resources.meta.resourceType` (string)
    Example: "Group"

  - `Resources.meta.created` (string)
    date and time when the group was created
    Example: "2022-05-13T13:32:00.598Z"

  - `Resources.meta.lastModified` (string)
    date and time when the group was last updated
    Example: "2022-05-13T13:32:00.598Z"

  - `Resources.meta.location` (string)
    URL of the group
    Example: "https://partner.socialchorus.com/scim/v2/Groups/115"

  - `Resources.meta.next` (string)
    URL of the next page of group
    Example: "https://partner.socialchorus.com/scim/v2/Groups/115?page=2"

## Response 400 fields (*/*):

  - `schemas` (array)
    Example: ["urn:ietf:params:scim:api:messages:2.0:Error"]

  - `detail` (string)
    Example: "Reason for bad request"

  - `status` (integer)
    Example: 400

## Response 401 fields (*/*):

  - `schemas` (array)
    Example: ["urn:ietf:params:scim:api:messages:2.0:Error"]

  - `detail` (string)
    Example: "Authentication failure"

  - `status` (integer)
    Example: 401

## Response 403 fields (*/*):

  - `schemas` (array)
    Example: ["urn:ietf:params:scim:api:messages:2.0:Error"]

  - `detail` (string)
    Example: "Operation is not permitted"

  - `status` (integer)
    Example: 403

## Response 404 fields (*/*):

  - `schemas` (array)
    Example: ["urn:ietf:params:scim:api:messages:2.0:Error"]

  - `detail` (string)
    Example: "The requested resource was not found."

  - `status` (integer)
    Example: 404


